using InternetShopContracts.LogicsContracts;
using InternetShopForms.Products;

namespace InternetShopForms
{
    public partial class FormOrdersList : Form
    {
        private IOrderLogic _orderLogic;
        public FormOrdersList(IOrderLogic orderLogic)
        {
            InitializeComponent();
            _orderLogic = orderLogic;
        }

        private void productsToolStripMenuItem_Click(object sender, EventArgs e)
        {
            var service = Program.ServiceProvider?.GetService(typeof(FormProductsList));
            if (service is FormProductsList form)
            {
                form.ShowDialog();
            }
        }
    }
}
